ru.bitel.bgbilling.plugins.cladr.server.dao

## Class StreetDAO

- java.lang.Object
- - ru.bitel.bgbilling.plugins.cladr.server.dao.StreetDAO

-     public class StreetDAO
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetDAO(java.sql.Connection con, org.apache.log4j.Logger log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCity(ru.bitel.bgbilling.plugins.cladr.common.model.Address region, ru.bitel.bgbilling.plugins.cladr.common.model.Address area, ru.bitel.bgbilling.plugins.cladr.common.model.Address city, int direct, int cityId)`
    `void` | `addHouseForCladr(java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.House> list)`
    `java.util.List<java.lang.Integer>` | `addStreeFromCladr(java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.Address> list, boolean ignoreSocr, int cityId)`
    `void` | `addStreet(ru.bitel.bgbilling.plugins.cladr.common.model.Street street, boolean ignoreSocr)`
    `void` | `addStreetForCladrCompare(java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.Street> list)`
    `void` | `delStreet(ru.bitel.bgbilling.plugins.cladr.common.model.Street street)`
    `void` | `delStreetFromCladrCompare(ru.bitel.bgbilling.plugins.cladr.common.model.Street street)`
    `java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.House>` | `getHouseByCode(java.lang.String code)`
    `ru.bitel.bgbilling.plugins.cladr.common.model.Street` | `getNextStreet()`
    `java.lang.String` | `getStreetCode(int streetId)`
    `java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.Street>` | `getStreetNotFromCladr(ru.bitel.bgbilling.plugins.cladr.common.model.Address address, int cityId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreetDAO

          public StreetDAO(java.sql.Connection con,
                           org.apache.log4j.Logger log)

  - ### Method Detail

    - #### getStreetNotFromCladr

          public java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.Street> getStreetNotFromCladr(ru.bitel.bgbilling.plugins.cladr.common.model.Address address,
                                                                                                            int cityId)
                                                                                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addStreetForCladrCompare

          public void addStreetForCladrCompare(java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.Street> list)
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addStreet

          public void addStreet(ru.bitel.bgbilling.plugins.cladr.common.model.Street street,
                                boolean ignoreSocr)
                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addStreeFromCladr

          public java.util.List<java.lang.Integer> addStreeFromCladr(java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.Address> list,
                                                                     boolean ignoreSocr,
                                                                     int cityId)
                                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### delStreetFromCladrCompare

          public void delStreetFromCladrCompare(ru.bitel.bgbilling.plugins.cladr.common.model.Street street)
                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### delStreet

          public void delStreet(ru.bitel.bgbilling.plugins.cladr.common.model.Street street)
                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNextStreet

          public ru.bitel.bgbilling.plugins.cladr.common.model.Street getNextStreet()
                                                                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addCity

          public void addCity(ru.bitel.bgbilling.plugins.cladr.common.model.Address region,
                              ru.bitel.bgbilling.plugins.cladr.common.model.Address area,
                              ru.bitel.bgbilling.plugins.cladr.common.model.Address city,
                              int direct,
                              int cityId)
                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addHouseForCladr

          public void addHouseForCladr(java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.House> list)
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getStreetCode

          public java.lang.String getStreetCode(int streetId)
                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getHouseByCode

          public java.util.List<ru.bitel.bgbilling.plugins.cladr.common.model.House> getHouseByCode(java.lang.String code)
                                                                                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`